CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2009-0847

The asn1buf_imbed function in the ASN.1 decoder in MIT Kerberos 5 (aka krb5) 1.6.3, when PK-INIT is used, allows remote attackers to cause a denial of service (application crash) via a crafted length value that triggers an erroneous malloc call, related to incorrect calculations with pointer arithmetic.
Publish Date : 2009-04-08 Last Update Date : 2018-10-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 189

- Vendor Statements

Not vulnerable. This issue did not affect the versions of krb5 as shipped with Red Hat Enterprise Linux 2.1, 3, 4, or 5.
Source: Redhat

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2009-0847 oval:org.opensuse.security:def:20090847 unix
DSA-1766 krb5 -- several vulnerabilities oval:org.mitre.oval:def:8181 unix
DSA-1766-1 krb5 -- several oval:org.mitre.oval:def:13177 unix
HP-UX Running Kerberos, Remote Denial of Service (DoS), Execution of Arbitrary Code oval:org.mitre.oval:def:6387 unix
USN-755-1 -- krb5 vulnerabilities oval:org.mitre.oval:def:13874 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2009-0847

# Product Type Vendor Product Version Update Edition Language
1 Application MIT Kerberos 5-1.6.3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
MIT Kerberos 1

- References For CVE-2009-0847

https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00206.html
FEDORA FEDORA-2009-2852
https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00205.html
FEDORA FEDORA-2009-2834
http://www.vupen.com/english/advisories/2009/2248
VUPEN ADV-2009-2248
http://www.vupen.com/english/advisories/2009/2084
VUPEN ADV-2009-2084
http://www.vupen.com/english/advisories/2009/1297
VUPEN ADV-2009-1297
http://www.vupen.com/english/advisories/2009/1106
VUPEN ADV-2009-1106
http://www.vupen.com/english/advisories/2009/1057
VUPEN ADV-2009-1057
http://www.vupen.com/english/advisories/2009/0960
VUPEN ADV-2009-0960
http://www.vupen.com/english/advisories/2009/0976
VUPEN ADV-2009-0976
http://www.us-cert.gov/cas/techalerts/TA09-133A.html
CERT TA09-133A
http://www.ubuntu.com/usn/usn-755-1
UBUNTU USN-755-1
http://www.securityfocus.com/archive/1/502546/100/0/threaded
BUGTRAQ 20090407 rPSA-2009-0058-1 krb5 krb5-server krb5-services krb5-test krb5-workstation
http://www.securityfocus.com/bid/34408
BID 34408 MIT Kerberos SPNEGO and ASN.1 Multiple Remote Denial Of Service Vulnerabilities Release Date:2013-01-31
http://www.securitytracker.com/id?1021993
SECTRACK 1021993
http://www.mandriva.com/security/advisories?name=MDVSA-2009:098
MANDRIVA MDVSA-2009:098
http://www.securityfocus.com/archive/1/502526/100/0/threaded
BUGTRAQ 20090407 MITKRB5-SA-2009-001: multiple vulnerabilities in SPNEGO, ASN.1 decoder [CVE-2009-0844 CVE-2009-0845 CVE-2009-0847]
http://www-01.ibm.com/support/docview.wss?uid=swg21396120 CONFIRM
http://wiki.rpath.com/wiki/Advisories:rPSA-2009-0058
http://support.avaya.com/elmodocs2/security/ASA-2009-142.htm CONFIRM
http://support.novell.com/docs/Readmes/InfoDocument/patchbuilder/readme_5047180.html
http://support.novell.com/docs/Readmes/InfoDocument/patchbuilder/readme_5047181.html
http://wiki.rpath.com/Advisories:rPSA-2009-0058 CONFIRM
http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2009-001.txt CONFIRM
http://sunsolve.sun.com/search/document.do?assetkey=1-26-256728-1
SUNALERT 256728
http://support.apple.com/kb/HT3549 CONFIRM
http://lists.apple.com/archives/security-announce/2009/May/msg00002.html
APPLE APPLE-SA-2009-05-12
http://security.gentoo.org/glsa/glsa-200904-09.xml
GENTOO GLSA-200904-09
http://marc.info/?l=bugtraq&m=124896429301168&w=2
HP HPSBUX02421

- Metasploit Modules Related To CVE-2009-0847

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.